Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162336 - RFE: add libspf package to allow milter-greylist utilize SPF
Summary: RFE: add libspf package to allow milter-greylist utilize SPF
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: milter-greylist
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact:
URL: http://www.libspf.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 22:32 UTC by Milan Kerslager
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-03 08:26:26 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2005-07-02 22:32:01 UTC
As SPF is almost well known anti-spam feature honored by many sites, please
include libspf package to the Fedora-Extras and rebuild milter-greylist package
with SPF support. Working packages for RHEL3 and RHEL4 are in my repository, see:

ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-3/testing.milter-greylist/
ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-4/testing.milter-greylist/

They will be moved to the stable directory soon:

ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-{3,4}/stable

See URL above for libspf homepage.

Comment 1 Enrico Scholz 2005-07-03 08:26:26 UTC
I tried libspf and found out that it has a bad code quality. It contains code like

|      if (rr_data == NULL)
|      {
|        rr_data = xmalloc(substr_len + 2);
|      }
|      else
|      {
|        rr_data = xrealloc(rr_data, (i + substr_len + 2));
|      }
|      strncat(rr_data, (char *)rd_ptr, substr_len);

at several places and that is really nothing which should touch my or somebody
else's mails.  There were memleaks also, but I can not remember the details and
can not find the libspf forum anymore where I posted my bugreports.

So I will not fix that, unless:

* somebody else packages libspf and proofs that he fixed all issues
* somebody else packages an alternative spf implementation



Comment 2 Milan Kerslager 2005-07-03 17:23:53 UTC
This seems to be a good reason to not to use SPF. Thank you for pointing out.

The second reason is that a lot of spam went through milter here because
spamming relays are using MailFrom from random domains with globally enabled SPF
records. So the spams are going through milter-graylist with no problem...


Note You need to log in before you can comment on or make changes to this bug.